## edu.cwru.SimpleRTS.environment
Class LoadingStateCreator

    java.lang.Object
      edu.cwru.SimpleRTS.environment.LoadingStateCreator

All Implemented Interfaces:
  StateCreator, java.io.Serializable

    public class LoadingStateCreator

extends java.lang.Object
implements StateCreator

See Also:
  Serialized Form

Constructor Summary
`LoadingStateCreator(java.lang.String loadfilename)`

Method Summary
`State` `createState()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadingStateCreator

    public LoadingStateCreator(java.lang.String loadfilename)

Method Detail

### createState

    public State createState()

  Specified by:
    `createState` in interface `StateCreator`